# Changelog

## 2024-11-05 - 4.1.33 - fix(core)
Updated dependencies and improved npm preparation logic.

- Updated @git.zone/tsbuild from ^2.1.84 to ^2.2.0.
- Updated @git.zone/tsrun from ^1.2.49 to ^1.3.3.
- Updated @types/node from ^22.7.9 to ^22.8.7.
- Updated @serve.zone/api from ^1.2.1 to ^4.3.1.
- Improved npm preparation logic to handle empty tokens gracefully.

## 2024-10-23 - 4.1.32 - fix(dependencies)
Update project dependencies to latest versions

- Updated development dependencies, including @git.zone/tsbuild and @git.zone/tsrun.
- Updated production dependencies such as @api.global/typedrequest and @push.rocks/smartfile.

## 2022-10-24 - 4.0.11 - prerelease
now includes a precheck for more generic runner execution

- Implemented a precheck feature for runners.

## 2022-10-09 to 2022-10-11 - 4.0.0 to 4.0.10 - migration
internal migrations and fixes

- Major switch to ESM style module: **BREAKING CHANGE**.
- Multiple fixes in core functionalities and module updates.

## 2019-11-26 - 3.1.73 - fixes
correctly setting npm cache and other updates

- Ensured correct npm cache setting during preparation.
- Various core updates.

## 2018-12-23 - 3.1.19 - privacy updates
enhanced mirroring controls for private code

- Now refusing to mirror private code.

## 2018-11-24 - 3.1.2 - ci improvement
removed unnecessary build dependency

- Removed npmts build dependency in CI pipeline.

## 2018-09-22 - 3.0.59 - enhancement
integrated smartlog for improved logging

- Logs now utilize smartlog for better management.

## 2017-09-08 - 3.0.14 - analytics
added analytics features

- Enabled analytics throughout the system.

## 2017-08-29 - 3.0.9 - docker enhancements
docker improvements and build args implementation

- Implemented working `dockerBuildArgEnvMap`.

## 2017-07-27 - 2.4.0 - stability improvements
various updates to stabilize the environment

- Fixed npmci versioning issues.

## 2016-11-25 - 2.3.24 - global tools
improved handling for global tool installations

- Improved install handling for needed global tools.
